﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NLog;
using Quartz;

namespace IBO.XJMYQP.WindowsServices
{
    /// <summary>
    /// 
    /// </summary>
    public class SyncGasBottlesJob : IJob
    {
        Logger logger;
        /// <summary>
        /// 
        /// </summary>
        /// <param name="context"></param>
        public void Execute(IJobExecutionContext context)
        {
            try
            {
                logger = LogManager.GetCurrentClassLogger();
                logger.Info("开始运行 SyncGasBottlesJob任务");

                for (int i = 0; i < 10; i++)
                {
                    logger.Info("SyncGasBottlesJob 正在运行{0}", i);
                }

            }
            catch (Exception ex)
            {
                logger.Error("SyncGasBottlesJob 任务运行异常", ex);
                JobExecutionException e2 = new JobExecutionException(ex);
                e2.RefireImmediately = true;
                throw e2;
            }
            finally
            {
                logger.Info("结束运行 SyncGasBottlesJob任务");
            }
        }
    }
}
